<back to all web services

WorkflowOperationMessage

The following routes are available for this service:
All Verbs/RestApi/sitefinity/inlineediting/workflow
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class WorkflowOperationMessage
{
    open var PageId:String? = null
    open var WorkflowOperation:InlineEditingOperation? = null
    open var CustomWorkflowOperation:String? = null
    open var Items:ArrayList<ItemContextModel>? = null
}

enum class InlineEditingOperation
{
    Publish,
    SaveAsDraft,
    Custom,
}

open class ItemContextModel
{
    open var ItemId:String? = null
    open var ItemType:String? = null
    open var Provider:String? = null
    open var FieldValues:ArrayList<FieldValueModel>? = null
}

open class FieldValueModel
{
    open var Name:String? = null
    open var Value:Object? = null
    open var ComplexValue:ArrayList<FieldValueModel>? = null
}

Kotlin WorkflowOperationMessage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/sitefinity/inlineediting/workflow HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"PageId":"String","WorkflowOperation":"Publish","CustomWorkflowOperation":"String","Items":[{"ItemId":"String","ItemType":"String","Provider":"String","FieldValues":[{"Name":"String","Value":{},"ComplexValue":[{"Name":"String","Value":{},"ComplexValue":[{"Name":"String","Value":{}}]}]}]}]}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

[{"ItemName":"String","ItemType":"String","ItemStatus":{"DisplayStatus":"String","IsAdmin":false,"IsEditable":false,"IsStatusEditable":false,"IsLocked":false,"IsPublished":false,"IsLockedByMe":false,"LockedByUsername":"String","WorkflowStatus":"String"},"ProviderName":"String","DetailsViewUrl":"String"}]